List all datasets
Get list of datasets
GET
/v2/datasetsFeatures
Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.
Input0
Sent from your browser straight to the API — never to Docsbook, never stored.
Output14
Whether this dataset has write access
The RFC3339-formatted time when the dataset was created.
Dataset description
Edge deployment of the dataset
URL of the edge deployment
Dataset ID
The kind of the dataset One of:
otel:metrics:v1, otel:traces:v1, otel:logs:v1, axiom:events:v1.Unique dataset name
Number of days to retain data in the dataset
ID of the org that shared this resource, if it's shared
The RFC3339-formatted time when the dataset was last updated.
Whether to use the retention period
Name of the dataset creator
Responses
200Success
403Forbidden
Example input
curl 'https://api.axiom.co/v2/datasets' \
-H 'Authorization: Bearer API_TOKEN'Example output
[
{
"created": "2020-01-01T00:00:00Z",
"description": "This is an example dataset",
"id": "example-dataset",
"name": "example-dataset",
"updatedAt": "2020-01-01T00:00:00Z",
"who": "John Doe"
},
{
"created": "2020-02-01T00:00:00Z",
"description": "This is an example dataset",
"id": "example-dataset-2",
"name": "example-dataset-2",
"updatedAt": "2020-02-01T00:00:00Z",
"who": "Foo Bar"
}
]